package dev.svitan.antifed

import io.ktor.client.HttpClient
import io.ktor.client.engine.android.Android
import io.ktor.client.plugins.contentnegotiation.ContentNegotiation
import io.ktor.serialization.kotlinx.json.json
import kotlinx.serialization.Serializable

val client = HttpClient(Android) {
    install(ContentNegotiation) {
        json()
    }
}

@Serializable
data class AuthDTO(
    val id: String,
    val name: String,
    val createdAt: String
)
